a =  2.417777813175074
b =  1.512504253040586
Xc =  2.4955854296032696
Yc =  2.533169399617286
ang =  21.925576226120448
ang = ang*pi/180.0
c = cos(ang)
s = sin(ang)

x(t) = a*cos(t)
y(t) = b*sin(t)

xp(t) = c*x(t) - s*y(t) + Xc
yp(t) = s*x(t) + c*y(t) + Yc

set size ratio -1
unset key
set parametric
set trange [0:2*pi]
plot 'puntos1.txt' w p ps 2 pt 6, xp(t), yp(t)

pause -1
