a =  2.121320343559617
b =  1.5000000000000162
Xc =  2.5000000000000067
Yc =  2.5
ang =  45.00000000000263

ang = ang*pi/180.0
c = cos(ang)
s = sin(ang)

x(t) = a*cos(t)
y(t) = b*sin(t)

xp(t) = c*x(t) - s*y(t) + Xc
yp(t) = s*x(t) + c*y(t) + Yc

set size ratio -1
unset key
set parametric
set trange [0:2*pi]
plot 'puntos2.txt' w p ps 2 pt 6, xp(t), yp(t)

pause -1
